Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Class DESedeParameters

    java.lang.Object
      java.security.AlgorithmParametersSpi
          com.ibm.crypto.pkcs11impl.provider.DESedeParameters

    public final class DESedeParameters

extends java.security.AlgorithmParametersSpi

This class implements the parameter (IV) used with the Triple DES algorithm in feedback-mode. IV is defined in the standards as follows:

     IV ::= OCTET STRING  -- 8 octets

Constructor Summary
`DESedeParameters(java.security.Provider provider)`

Method Summary
`protected byte[]` | `engineGetEncoded()`
`protected byte[]` | `engineGetEncoded(java.lang.String encodingMethod)`
`protected
`<T extends java.security.spec.AlgorithmParameterSpec> T`
` | `engineGetParameterSpec(java.lang.Class<T> parmSpec)`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec parmSpec)`
`protected void` | `engineInit(byte[] encoded)`
`protected void` | `engineInit(byte[] encoded, java.lang.String decodingMethod)`
`protected java.lang.String` | `engineToString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DESedeParameters

    public DESedeParameters(java.security.Provider provider)

Method Detail

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec parmSpec)
                       throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(byte[] encoded)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineInit

    protected void engineInit(byte[] encoded,
                              java.lang.String decodingMethod)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineGetParameterSpec

    protected <T extends java.security.spec.AlgorithmParameterSpec> T engineGetParameterSpec(java.lang.Class<T> parmSpec)
                                                                                  throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineGetEncoded

    protected byte[] engineGetEncoded()
                               throws java.io.IOException

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String encodingMethod)
                               throws java.io.IOException

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineToString

    protected java.lang.String engineToString()

  Specified by:
    `engineToString` in class `java.security.AlgorithmParametersSpi`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD